import { Component, computed, reactive, Ref, ref } from "vue";
const components = reactive<
  {
    component: Component;
    options: Options;
    wrapperName: string;
    isShow: boolean;
  }[]
>([]);

type Options = {
  props: any;
  handlers: any;
  animation: string;
};

export function useDynamicComponent(
  component: Component,
  options: Options,
  wrapperName: string
) {
  let item = { component, options, isShow: false, wrapperName };
  components.push(item);
  return {
    show: () => {
      item.isShow = true;
    },
    hide: () => {
      item.isShow = false;
    },
  };
}

export function useDynamicService(wrapperName: string) {
  return {
    components: components.filter(
      (component) => component.wrapperName == wrapperName
    ),
  };
}
